List payments
GET
/v1/payments/
List payments with optional filters.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” skip
Skip
integer
limit
Limit
integer
status
Any of:
PaymentStatus
Payment status enum.
string
null
provider
Any of:
PaymentProvider
Supported payment providers.
string
null
Responses
Section titled “ Responses ”Successful Response
Response List Payments V1 Payments Get
Array<object>
PaymentResponseSchema for payment response.
object
id
required
Id
string format: uuid
invoice_id
required
Invoice Id
string format: uuid
customer_id
required
Customer Id
string format: uuid
amount_cents
required
Amount Cents
string
currency
required
Currency
string
status
required
Status
string
provider
required
Provider
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Unauthorized – invalid or missing API key
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context